Page MenuHomePhabricator

Update Debian package of Blubber (0.4.0-1)
Closed, ResolvedPublic

Description

Upstream v0.4.0 tag has been pushed, debian/0.4.0-1 has been tagged, the debian/changelog has been updated on the debian branch, and I've verified that the package built by make -f debian/Makefile installs correctly. We should just need a rebuild for the debian repositories.

Changelog:

blubber (0.4.0-1) unstable; urgency=medium

  [ Dan Duvall ]
  * Provide a CONTRIBUTING.md guide
  * Include git as a build dependency
  * Introduce strict/versioned config parsing
  * Refactor validation tests without YAML parsing
  * Ensure non-interactive front-end for APT

  [ Alexandros Kosiaris ]
  * Add a pip install step

  [ Gilles Dubuc ]
  * Add support for Builder arbitrary build commands

  [ Dan Duvall ]
  * Refactor config for node app dependencies

  [ Gilles Dubuc ]
  * Add now mandatory version config field to README

  [ Dan Duvall ]
  * Bump config version to v2

  [ Tyler Cipriani ]
  * Cross-compile using gox

  [ Dan Duvall ]
  * Attempt to resolve symlinked CURDIR in Makefile
  * Release v0.4.0

 -- Dan Duvall <dduvall@wikimedia.org

Event Timeline

dduvall created this task.May 25 2018, 5:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2018, 5:17 PM
akosiaris closed this task as Resolved.May 29 2018, 9:40 AM
akosiaris claimed this task.

blubber_0.4.0-1_amd64 has been uploaded to both stretch-wikimedia and jessie-wikimedia. I 'll resolve this, feel free to reopen

Vvjjkkii renamed this task from Update Debian package of Blubber (0.4.0-1) to q9baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed akosiaris as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
thcipriani updated the task description. (Show Details)Jul 1 2018, 7:31 PM
thcipriani assigned this task to akosiaris.
thcipriani closed this task as Resolved.
thcipriani renamed this task from q9baaaaaaa to Update Debian package of Blubber (0.4.0-1).
CommunityTechBot raised the priority of this task from High to Needs Triage.